# Class MsaUiSequenceAlignmentDownload

#### Hierarchy

- Component<MsaUiSequenceAlignmentDownloadInterface>
  - MsaUiSequenceAlignmentDownload

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaUiSequenceAlignmentDownload.tsx:14

#####
Index

### Constructors

constructor

### Methods

click
render

## Constructors

### constructor

- new MsaUiSequenceAlignmentDownload(props): MsaUiSequenceAlignmentDownload

- #### Parameters

  - ##### props: MsaUiSequenceAlignmentDownloadInterface | Readonly<MsaUiSequenceAlignmentDownloadInterface>

  #### Returns MsaUiSequenceAlignmentDownload

  Inherited from React.Component<MsaUiSequenceAlignmentDownloadInterface>.constructor

  - Defined in node_modules/@types/react/index.d.ts:519
- new MsaUiSequenceAlignmentDownload(props, context): MsaUiSequenceAlignmentDownload

- #### Parameters

  - ##### props: MsaUiSequenceAlignmentDownloadInterface

  - ##### context: any

  #### Returns MsaUiSequenceAlignmentDownload

  #### Deprecated

  #### See

  https://legacy.reactjs.org/docs/legacy-context.html

  Inherited from React.Component<MsaUiSequenceAlignmentDownloadInterface>.constructor

  - Defined in node_modules/@types/react/index.d.ts:524

## Methods

### `Private` click

- click(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaUiSequenceAlignmentDownload.tsx:20

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaUiSequenceAlignmentDownload.tsx:16

Generated using TypeDoc